XorC
Logical And Shift Operations

Bitwise XOR of a constant and each sample of a signal. More...

## Functions

NppStatus | nppsXorC_8u_Ctx (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal exclusive or with constant. More...
NppStatus | nppsXorC_8u (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength)
NppStatus | nppsXorC_16u_Ctx (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal exclusive or with constant. More...
NppStatus | nppsXorC_16u (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength)
NppStatus | nppsXorC_32u_Ctx (const Npp32u *pSrc, Npp32u nValue, Npp32u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned integer signal exclusive or with constant. More...
NppStatus | nppsXorC_32u (const Npp32u *pSrc, Npp32u nValue, Npp32u *pDst, int nLength)
NppStatus | nppsXorC_8u_I_Ctx (Npp8u nValue, Npp8u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char in place signal exclusive or with constant. More...
NppStatus | nppsXorC_8u_I (Npp8u nValue, Npp8u *pSrcDst, int nLength)
NppStatus | nppsXorC_16u_I_Ctx (Npp16u nValue, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place signal exclusive or with constant. More...
NppStatus | nppsXorC_16u_I (Npp16u nValue, Npp16u *pSrcDst, int nLength)
NppStatus | nppsXorC_32u_I_Ctx (Npp32u nValue, Npp32u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned signed integer in place signal exclusive or with constant. More...
NppStatus | nppsXorC_32u_I (Npp32u nValue, Npp32u *pSrcDst, int nLength)

## Detailed Description

Bitwise XOR of a constant and each sample of a signal.

## Function Documentation

NppStatus nppsXorC_16u | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_16u_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal exclusive or with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsXorC_16u_I | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_16u_I_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place signal exclusive or with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsXorC_32u | ( | const Npp32u * | pSrc,
|  | Npp32u | nValue,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_32u_Ctx | ( | const Npp32u * | pSrc,
|  | Npp32u | nValue,
|  | Npp32u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned integer signal exclusive or with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsXorC_32u_I | ( | Npp32u | nValue,
|  | Npp32u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_32u_I_Ctx | ( | Npp32u | nValue,
|  | Npp32u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned signed integer in place signal exclusive or with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsXorC_8u | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_8u_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal exclusive or with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsXorC_8u_I | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsXorC_8u_I_Ctx | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char in place signal exclusive or with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be exclusive ored with each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation